Subject: [alpine-aports] [PATCH] testing/perl-proc-waitstat: new aport

From: Valery Kartel <[email-masked]>
Date: Tue, 17 Nov 2015 14:56:28 +0200

---
 testing/perl-proc-waitstat/APKBUILD | 43 +++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/perl-proc-waitstat/APKBUILD

diff --git a/testing/perl-proc-waitstat/APKBUILD b/testing/perl-proc-waitstat/APKBUILD
new file mode 100644
index 0000000..e480305
--- /dev/null
+++ b/testing/perl-proc-waitstat/APKBUILD
@@ -0,0 +1,43 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Valery Kartel <[email-masked]>
+# Maintainer: Valery Kartel <[email-masked]>
+pkgname=perl-proc-waitstat
+_pkgreal=Proc-WaitStat
+pkgver=1.00
+pkgrel=0
+pkgdesc="Perl module interpret and act on wait() status values"
+url="http://search.cpan.org/dist/Proc-WaitStat/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-ipc-signal"
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RO/ROSCH/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+	mv "$pkgdir"/usr/share/perl5/vendor_perl/* "$pkgdir"/usr/lib/perl5/vendor_perl
+	rm -fr "$pkgdir"/usr/share/perl5
+}
+
+md5sums="b911bd579b6b142391b21de1efa30c95  Proc-WaitStat-1.00.tar.gz"
+sha256sums="d07563f5e787909d16e7390241e877f49ab739b1de9d0e2ea1a41bd0bf4474bc  Proc-WaitStat-1.00.tar.gz"
+sha512sums="7abc1c3771ec560e6138cc7709ca4527a34c897067e13afd57d096d664d6d11a1d80898a955404d8b583972eae8c80689fd8421adaee9bed2601e47afe9ef235  Proc-WaitStat-1.00.tar.gz"
-- 
2.6.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---